GPIOCTL(1)

NAME
gpioctl - GPIO control utility

SYNOPSIS
gpioctl -l -f ctldev [-v]
gpioctl -t -f ctldev pin
gpioctl -c -f ctldev pin flag [flag ...]
gpioctl -f ctldev pin [0|1]

DESCRIPTION
The gpioctl utility could be used to manage GPIO pins from userland and list available pins.

The options are as follows:

-c pin flag [flag ...]
    Configure pin by setting provided flags. The following flags are currently defined:

    IN  Input pin

    OUT Output pin

    OD  Open drain pin

    PP  Push pull pin

    TS  Tristate pin

    PU  Pull-up pin

    PD  Pull-down pin

    II  Inverted input pin

    IO  Inverted output pin

-f ctldev
    GPIO controller device to use

-l  list available pins

-t pin
    toggle value of provided pin number

-v  be verbose: for each listed pin print current configuration

EXAMPLES

•   List pins available on GPIO controller defined by device /dev/gpioc0

    gpioctl -f /dev/gpioc0 -l

•   Set the value of pin 12 to 1

    gpioctl -f /dev/gpioc0 12 1

•   Configure pin 12 to be input pin

    gpioctl -f /dev/gpioc0 -c 12 IN

HISTORY
The gpioctl utility appeared in FreeBSD 9.0.

AUTHORS
-nosplit The gpioctl utility and this manual page were written by Oleksandr Tymoshenko <gonzo@freebsd.org>